# class Vector2

#### package lime.math

Available on all platforms

### Constructor

###

`new (x:Float = 0, y:Float = 0)`

### Variables

###

`read onlylength:Float`

###

`x:Float`

###

`y:Float`

### Methods

###

`add (v:Vector2):Vector2`

###

`clone ():Vector2`

###

`equals (toCompare:Vector2):Bool`

###

`normalize (thickness:Float):Void`

###

`offset (dx:Float, dy:Float):Void`

###

`inline setTo (xa:Float, ya:Float):Void`

###

`subtract (v:Vector2):Vector2`

### Static methods

###

`staticdistance (pt1:Vector2, pt2:Vector2):Float`

###

`staticinterpolate (pt1:Vector2, pt2:Vector2, f:Float):Vector2`

###

`staticpolar (len:Float, angle:Float):Vector2`